<h2>Colors</h2>

<p>Refer to the VueJS component variant for the full list.</p>

<div class="rui-alert rui-alert--info"><code>.rui-alert.rui-alert--info</code> Lorem ipsum dolor sit amet, consectetur adipisicing elit.</div>
<div class="rui-alert rui-alert--success"><code>.rui-alert.rui-alert--success</code> Lorem ipsum dolor sit amet, consectetur adipisicing elit.</div>
<div class="rui-alert rui-alert--warning"><code>.rui-alert.rui-alert--warning</code> Lorem ipsum dolor sit amet, consectetur adipisicing elit</div>
<div class="rui-alert rui-alert--alert"><code>.rui-alert.rui-alert--alert</code> Lorem ipsum dolor sit amet, consectetur adipisicing elit.</div>
<div class="rui-alert rui-alert--danger"><code>.rui-alert.rui-alert--danger</code> Lorem ipsum dolor sit amet, consectetur adipisicing elit.</div>
<div class="rui-alert rui-alert--mute"><code>.rui-alert.rui-alert--mute</code> Lorem ipsum dolor sit amet, consectetur adipisicing elit.</div>

<h3>Rails specific variant</h3>

To display styled flash messages, Rails uses the <code>alert</code> and <code>notice</code> message types. Hence the
<code>--notice</code> variant, which is the same as the <code>--success</code> one.

<div class="rui-alert rui-alert--notice">Refer to the VueJS component variant for the full list.</div>

<h2>With a side picture</h2>

<div class="rui-alert rui-alert--with-picture">
  <img src="https://picsum.photos/300" alt="A picture">
  This is an alert
</div>

<h2>With a centered picture</h2>

<div class="rui-alert">
  <div class="rui-alert__picture">
    <img src="https://picsum.photos/300" alt="A picture">
  </div>

  <p>This is an alert</p>
</div>
